org.apache.commons.compress.harmony.pack200

## Class Pack200PackerAdapter

- java.lang.Object
- - org.apache.commons.compress.harmony.pack200.Pack200Adapter
  - - org.apache.commons.compress.harmony.pack200.Pack200PackerAdapter

- All Implemented Interfaces:
    Pack200.Packer

      public class Pack200PackerAdapter
      extends Pack200Adapter
      implements Pack200.Packer

  This class provides the binding between the standard Pack200 interface and the internal interface for (un)packing. As this uses generics for the SortedMap, this class must be compiled and run on a Java 1.5 system. However, Java 1.5 is not necessary to use the internal libraries for unpacking.

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.compress.harmony.pack200.Pack200Adapter

      `DEFAULT_BUFFER_SIZE`

    - ### Fields inherited from interface org.apache.commons.compress.java.util.jar.Pack200.Packer

      `CLASS_ATTRIBUTE_PFX, CODE_ATTRIBUTE_PFX, DEFLATE_HINT, EFFORT, ERROR, FALSE, FIELD_ATTRIBUTE_PFX, KEEP, KEEP_FILE_ORDER, LATEST, METHOD_ATTRIBUTE_PFX, MODIFICATION_TIME, PASS, PASS_FILE_PFX, PROGRESS, SEGMENT_LIMIT, STRIP, TRUE, UNKNOWN_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pack200PackerAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `firePropertyChange(String propertyName, Object oldValue, Object newValue)`
    `void` | `pack(JarFile file, OutputStream out)` Pack the specified JAR file to the specified output stream.
    `void` | `pack(JarInputStream in, OutputStream out)` Pack the data from the specified jar input stream to the specified output stream.

    - ### Methods inherited from class org.apache.commons.compress.harmony.pack200.Pack200Adapter

      `addPropertyChangeListener, completed, properties, removePropertyChangeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.compress.java.util.jar.Pack200.Packer

      `addPropertyChangeListener, properties, removePropertyChangeListener`

- - ### Constructor Detail

    - #### Pack200PackerAdapter

          public Pack200PackerAdapter()

  - ### Method Detail

    - #### firePropertyChange

          protected void firePropertyChange(String propertyName,
                                            Object oldValue,
                                            Object newValue)

      Overrides:
        `firePropertyChange` in class `Pack200Adapter`

    - #### pack

          public void pack(JarFile file,
                           OutputStream out)
                    throws IOException

      Description copied from interface: `Pack200.Packer`
      Pack the specified JAR file to the specified output stream.
      Specified by:
        `pack` in interface `Pack200.Packer`
      Parameters:
        `file` - JAR file to be compressed.
        `out` - stream of compressed data.
      Throws:
        `IOException` - if I/O exception occurs.

    - #### pack

          public void pack(JarInputStream in,
                           OutputStream out)
                    throws IOException

      Description copied from interface: `Pack200.Packer`
      Pack the data from the specified jar input stream to the specified output stream.
      Specified by:
        `pack` in interface `Pack200.Packer`
      Parameters:
        `in` - stream of uncompressed JAR data.
        `out` - stream of compressed data.
      Throws:
        `IOException` - if I/O exception occurs.

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.